## org.apache.mahout.cf.taste.impl.similarity
Class GenericUserSimilarity.UserUserSimilarity

    java.lang.Object
      org.apache.mahout.cf.taste.impl.similarity.GenericUserSimilarity.UserUserSimilarity

All Implemented Interfaces:
  Comparable<GenericUserSimilarity.UserUserSimilarity>

Enclosing class:
  GenericUserSimilarity

    public static final class GenericUserSimilarity.UserUserSimilarity

extends Object
implements Comparable<GenericUserSimilarity.UserUserSimilarity>

Constructor Summary
`GenericUserSimilarity.UserUserSimilarity(long userID1, long userID2, double value)`

Method Summary
`int` `compareTo(GenericUserSimilarity.UserUserSimilarity other)` Defines an ordering from highest similarity to lowest.
`boolean` `equals(Object other)`
`long` `getUserID1()`
`long` `getUserID2()`
`double` `getValue()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericUserSimilarity.UserUserSimilarity

    public GenericUserSimilarity.UserUserSimilarity(long userID1,
                                                    long userID2,
                                                    double value)

Method Detail

### getUserID1

    public long getUserID1()

### getUserID2

    public long getUserID2()

### getValue

    public double getValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(GenericUserSimilarity.UserUserSimilarity other)

  Defines an ordering from highest similarity to lowest.

  Specified by:
    `compareTo` in interface `Comparable<GenericUserSimilarity.UserUserSimilarity>`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.